#!/usr/bin/env python

from MoinMessage import GPG, Message
from email.mime.text import MIMEText
import sys

if __name__ == "__main__":
    keyid = sys.argv[1]
    use_secret = sys.argv[2:3] in [["-s"], ["--secret"]]

    gpg = GPG()
    key = gpg.exportKey(keyid)
    key["Update-Action"] = "store"

    message = Message()
    message.add_update(key)

    # Get any secret

    if use_secret:
        print >>sys.stderr, "Secret..."
        secret = sys.stdin.read().strip()
        message.add_update(MIMEText(secret))

    # Show the resulting text.

    text = message.get_payload(subtype=use_secret and "x-moinmessage-keys" or None)
    print text

# vim: tabstop=4 expandtab shiftwidth=4
